Qt applications are not able to use the AppMenu.

Bug #733309 reported by Halvor Lyche Strandvoll
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
qt4-x11 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: qtcreator

Qt applications are not able to use the AppMenu.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: qtcreator 2.1.0-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-6.34-generic 2.6.38-rc7
Uname: Linux 2.6.38-6-generic x86_64
Architecture: amd64
Date: Fri Mar 11 15:32:12 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110302)
ProcEnviron:
 LANGUAGE=nb_NO:en
 LANG=nb_NO.UTF-8
 SHELL=/bin/bash
SourcePackage: qtcreator
UpgradeStatus: Upgraded to natty on 2011-03-10 (0 days ago)

Revision history for this message
Halvor Lyche Strandvoll (halvors) wrote :
Revision history for this message
Felix Geyer (debfx) wrote :

Have you installed the package appmenu-qt?

Revision history for this message
Halvor Lyche Strandvoll (halvors) wrote :

May the package appmenu-qt be added as depends of some qt packages?

Revision history for this message
Halvor Lyche Strandvoll (halvors) wrote :

Maybe depends of qtcreator, but think people who install Qt applications should get no trouble with this, so mayb depend in libqtcore4

Felix Geyer (debfx)
Changed in qtcreator (Ubuntu):
status: New → Incomplete
Revision history for this message
Felix Geyer (debfx) wrote :

libqtgui4 could recommend appmenu-qt for natty.
This won't be a problem anymore once Ubuntu ships with Qt in natty+1.

affects: qtcreator (Ubuntu) → qt4-x11 (Ubuntu)
Changed in qt4-x11 (Ubuntu):
status: Incomplete → New
Revision history for this message
Halvor Lyche Strandvoll (halvors) wrote :

Ok :)

Revision history for this message
Jonathan Riddell (jr) wrote :

On the equivalent side for Kubuntu we added appmenu-gtk to our seeds directly, so it could be added as a dependency of the ubuntu desktop seeds.

The widgets which use dbusmenu could recommend it, indicator-appmenu recommends appmenu-gtk, it could also recommend appmenu-qt.

It could also be made a recommendation of qt itself, I don't see much disadvantage in this, it's just inconsistent with what is currently done.

Felix Geyer (debfx)
Changed in qt4-x11 (Ubuntu):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qt4-x11 - 4:4.7.2-0ubuntu5

---------------
qt4-x11 (4:4.7.2-0ubuntu5) natty; urgency=low

  * libqtgui4 recommends appmenu-qt, LP: #733309
  * SECURITY UPDATE: Fake SSL certificates produced by Comodo, LP: #742377
    - Add kubuntu_30_blacklist_ssl_certificates.diff from upstream staging, lists
      and blocks known bad certificates
    - http://qt.gitorious.org/+qt-developers/qt/staging/commit/04e074e8d7c097295505e63565abdc7ca2b49f7b
    - http://bugreports.qt.nokia.com/browse/QTBUG-18338
    - http://www.comodo.com/Comodo-Fraud-Incident-2011-03-23.html
 -- Jonathan Riddell <email address hidden> Wed, 23 Mar 2011 17:31:55 +0000

Changed in qt4-x11 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers